This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 148838 - qlogic driver limited to 128kb IOs
qlogic driver limited to 128kb IOs
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 20:12 EST by Van Okamura
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 16:44:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to increase IO size (720 bytes, patch)
2005-02-15 20:14 EST, Van Okamura
no flags Details | Diff

  None (edit)
Description Van Okamura 2005-02-15 20:12:12 EST
Description of problem:
The driver limits IOs to 128kb in size. Throughput can be improved by
increasing this to 512kb.

Version-Release number of selected component (if applicable):
2.4.21-27

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Van Okamura 2005-02-15 20:14:50 EST
Created attachment 111118 [details]
patch to increase IO size

This patch appears to improve throughput on intensive IO loads.
Comment 5 Van Okamura 2005-06-03 16:44:43 EDT
Instead of the patch which enables increases the default values, the
suggestion is to adjust the values via qla module parameters.  
e.g.
option qla2300 ql2xmaxsgs=255 ql2xmaxsectors=2048

Increasing these values could cause increased memory pressure on smaller
systems, so with this method the values can then be adjusted only on systems that
would show a benefit. 

Note You need to log in before you can comment on or make changes to this bug.